Download it now!
Bug 90978 - Add Exit to Impress Presentation console
Summary: Add Exit to Impress Presentation console
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: Other All
: medium enhancement
Assignee: Srijan Bhatia
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: Presenter-Console
  Show dependency treegraph
 
Reported: 2015-04-30 19:21 UTC by Yan Pas
Modified: 2020-07-13 16:35 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yan Pas 2015-04-30 19:21:58 UTC
If I have two monitors plugged to my PC on one of them will be fullscreen slides, on the other presentation interface. Presentation interface doesn't have quit button and ther is no way to draw on this monitor. Concludong
1. Please, add mouse-clickable button "Exit" to this interface. Because sometimes there is no access to the keyboard
2. Add ability to draw on slides in this interface. It's unhandy to draw looking on the projector.
Comment 1 Jean-Baptiste Faure 2015-05-23 07:36:45 UTC
Not a bug -> enhancement.
Comment 2 Timur 2019-11-22 14:21:02 UTC
One issue per bug. Here: exit. There's bug 122274.
Comment 3 Srijan Bhatia 2020-06-23 13:25:17 UTC
I'll be working on this.
Comment 4 Srijan Bhatia 2020-06-24 15:13:14 UTC
Hi Rizal,

Could I get the following icons:
ButtonExitPresenterNormal.png
ButtonExitPresenterMouseOver.png

The patch:
https://gerrit.libreoffice.org/c/core/+/97041
Comment 5 Rizal Muttaqin 2020-06-25 03:45:19 UTC Comment hidden (obsolete)
Comment 6 Rizal Muttaqin 2020-06-25 07:46:13 UTC
(In reply to Srijan Bhatia from comment #4)
> Hi Rizal,
> 
> Could I get the following icons:
> ButtonExitPresenterNormal.png
> ButtonExitPresenterMouseOver.png
> 
> The patch:
> https://gerrit.libreoffice.org/c/core/+/97041

Done
Comment 7 Srijan Bhatia 2020-06-25 09:22:42 UTC
(In reply to Rizal Muttaqin from comment #6)
> (In reply to Srijan Bhatia from comment #4)
> > Hi Rizal,
> > 
> > Could I get the following icons:
> > ButtonExitPresenterNormal.png
> > ButtonExitPresenterMouseOver.png
> > 
> > The patch:
> > https://gerrit.libreoffice.org/c/core/+/97041
> 
> Done

Thanks Rizal.
Comment 8 Commit Notification 2020-06-27 10:02:10 UTC
Srijan Bhatia committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e13ba48c7ff428ee0da29ee3bbb29ee3a1063540

tdf#90978 add exit button to impress presenter console

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Rizal Muttaqin 2020-07-04 08:52:48 UTC
Thank you Srijan for the patch.

One little thing, the exit button is not placed centered between separator and the right edge of the toolbar. It looks too righted. Could you please make it centered?

OOT, anyway any chance that we can define the line separator appearance by the icon theme? I would like to make it pointed in the end of line so make it more modern.
Comment 10 Srijan Bhatia 2020-07-12 15:35:04 UTC
(In reply to Rizal Muttaqin from comment #9)
> Thank you Srijan for the patch.
> 
> One little thing, the exit button is not placed centered between separator
> and the right edge of the toolbar. It looks too righted. Could you please
> make it centered?
> 
Patch for this 
https://gerrit.libreoffice.org/c/core/+/98601
Comment 11 Srijan Bhatia 2020-07-12 15:36:56 UTC
(In reply to Rizal Muttaqin from comment #9)

> OOT, anyway any chance that we can define the line separator appearance by
> the icon theme? I would like to make it pointed in the end of line so make
> it more modern.

I'll check if this is possible.
Comment 12 Rizal Muttaqin 2020-07-12 22:19:24 UTC
@Srijan

You are too awesome!!!
Comment 13 Commit Notification 2020-07-12 22:35:35 UTC
Srijan Bhatia committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ffe503b62f9a508285ed06ef977f91604130579a

tdf#90978 add gap between the exit button and the right edge of the toolbar

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Srijan Bhatia 2020-07-13 15:27:06 UTC
(In reply to Rizal Muttaqin from comment #9)

> OOT, anyway any chance that we can define the line separator appearance by
> the icon theme? I would like to make it pointed in the end of line so make
> it more modern.

This is only possible if the seperator is defined using an image instead of programatically.
Comment 15 Rizal Muttaqin 2020-07-13 16:14:11 UTC
(In reply to Srijan Bhatia from comment #14)
> (In reply to Rizal Muttaqin from comment #9)
> 
> > OOT, anyway any chance that we can define the line separator appearance by
> > the icon theme? I would like to make it pointed in the end of line so make
> > it more modern.
> 
> This is only possible if the seperator is defined using an image instead of
> programatically.

Yes, that's my issue in this case. :)
Comment 16 Srijan Bhatia 2020-07-13 16:35:18 UTC
(In reply to Rizal Muttaqin from comment #15)
> (In reply to Srijan Bhatia from comment #14)
> > (In reply to Rizal Muttaqin from comment #9)
> > 
> > > OOT, anyway any chance that we can define the line separator appearance by
> > > the icon theme? I would like to make it pointed in the end of line so make
> > > it more modern.
> > 
> > This is only possible if the seperator is defined using an image instead of
> > programatically.
> 
> Yes, that's my issue in this case. :)

I'll do it if you give me the images.